package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class MapPasienDpjpToPasienDaftarVO extends BaseTransactionVO{

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Object Pasien Daftar")
	private PasienDaftarVO pasienDaftar;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Object Jadwal Dpjp")
	private JadwalDpjpRawatInapVO jadwalDpjp;

	@Caption(value = "Tgl Input")
	private Date tglInput;

	public PasienDaftarVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(PasienDaftarVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public JadwalDpjpRawatInapVO getJadwalDpjp() {
		return jadwalDpjp;
	}

	public void setJadwalDpjp(JadwalDpjpRawatInapVO jadwalDpjp) {
		this.jadwalDpjp = jadwalDpjp;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}
	
	
}
